/* UpdateDS.p  -  Update the DataSet. 
    Last Updated- DL 5/05/04 */
{OrderTables.i}
{OrderDS.i}

DEFINE INPUT PARAMETER pIgnDBChg AS LOGICAL NO-UNDO.
DEFINE INPUT PARAMETER pMrgFld AS LOGICAL NO-UNDO.
DEFINE INPUT-OUTPUT PARAMETER DATASET FOR dsOrder.

DEFINE DATA-SOURCE srcOline FOR Orderline.
DEFINE VARIABLE returnValue AS LOGICAL NO-UNDO.
DEFINE VARIABLE hSrcOline  AS HANDLE NO-UNDO.

OUTPUT TO "C:\OpenEdge\WRK\UpdateDSOutput.txt".
MESSAGE "START UpdateDS.p 2" SKIP.
MESSAGE "pIgnDBChg = " pIgnDBChg SKIP. 
MESSAGE "pMrgFld = " pMrgFld SKIP. 

hSrcOline = DATA-SOURCE srcOline:HANDLE. 
hSrcOline:PREFER-DATASET = pIgnDBChg.  
hSrcOline:MERGE-BY-FIELD = pMrgFld.

BUFFER ttOLine:ATTACH-DATA-SOURCE(hSrcOline). 

FOR EACH ttOlineBefore TRANSACTION:
    returnValue = BUFFER ttOlineBefore:SAVE-ROW-CHANGES("Orderline") NO-ERROR. 
    IF NOT returnValue THEN DO:
        MESSAGE "ERROR-STATUS:GET-NUMBER(1) = " ERROR-STATUS:GET-NUMBER(1) SKIP. 
        MESSAGE "ERROR-STATUS:GET-MESSAGE(1) = " ERROR-STATUS:GET-MESSAGE(1) SKIP. 
        BUFFER ttOlineBefore:ERROR-STRING = ERROR-STATUS:GET-MESSAGE(1).
    END.
END.               

DELETE OBJECT hSrcOline. 
OUTPUT CLOSE. 
RETURN.
