using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using nsDynExchg;

// Writen for Progress Exchange 2004
// Last Updated: DL 05/11/2004 a
namespace OpenClientDynamic
{
	public class  MainForm: System.Windows.Forms.Form
	{
		#region Variables 
		internal string appServerURL = "AppServer://localhost:5162/C1930broker";
		internal Progress.Open4GL.Proxy.Connection connObj;
		internal DataSet dsDynamic; 
		internal int iLowRange = 1; 			
		internal int iHighRange = 5;  		

		#region Variables-Messages 	
		internal string dspMsg;
		internal string dspCaption;
		internal MessageBoxButtons dspButton;
		internal DialogResult resultDlog;
		#endregion Variables-Messages 	
	
		#region Variables UI
		internal System.Windows.Forms.Button buttonDone;
		internal System.ComponentModel.Container components = null;
		internal System.Windows.Forms.Label labelLowRange;
		internal System.Windows.Forms.Label labelHighRange;
		internal System.Windows.Forms.GroupBox Range;
		internal System.Windows.Forms.TextBox textBoxLowRange;
		internal System.Windows.Forms.TextBox textBoxHighRange;
		internal System.Windows.Forms.ComboBox comboBoxSelTables;
		internal System.Windows.Forms.GroupBox groupBoxSelTables;
		internal System.Windows.Forms.Label label1;
		private System.Windows.Forms.DataGrid dataGridDyn;
		internal System.Windows.Forms.StatusBar statusBarMain;
		internal System.Windows.Forms.StatusBarPanel statusBarPanelCount;
		internal System.Windows.Forms.StatusBarPanel statusBarPanelConnect;
		internal System.Windows.Forms.StatusBarPanel statusBarPanelStatus;
		internal System.Windows.Forms.Button buttonCallOC;
		#endregion Variables-UI
		#endregion Variables

		public MainForm()
		{
			InitializeComponent();
			Application.EnableVisualStyles();
			Application.DoEvents();
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainForm));
			this.buttonDone = new System.Windows.Forms.Button();
			this.labelLowRange = new System.Windows.Forms.Label();
			this.textBoxLowRange = new System.Windows.Forms.TextBox();
			this.labelHighRange = new System.Windows.Forms.Label();
			this.textBoxHighRange = new System.Windows.Forms.TextBox();
			this.Range = new System.Windows.Forms.GroupBox();
			this.buttonCallOC = new System.Windows.Forms.Button();
			this.comboBoxSelTables = new System.Windows.Forms.ComboBox();
			this.groupBoxSelTables = new System.Windows.Forms.GroupBox();
			this.label1 = new System.Windows.Forms.Label();
			this.dataGridDyn = new System.Windows.Forms.DataGrid();
			this.statusBarMain = new System.Windows.Forms.StatusBar();
			this.statusBarPanelCount = new System.Windows.Forms.StatusBarPanel();
			this.statusBarPanelConnect = new System.Windows.Forms.StatusBarPanel();
			this.statusBarPanelStatus = new System.Windows.Forms.StatusBarPanel();
			((System.ComponentModel.ISupportInitialize)(this.dataGridDyn)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanelCount)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanelConnect)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanelStatus)).BeginInit();
			this.SuspendLayout();
			// 
			// buttonDone
			// 
			this.buttonDone.Location = new System.Drawing.Point(504, 368);
			this.buttonDone.Name = "buttonDone";
			this.buttonDone.Size = new System.Drawing.Size(100, 23);
			this.buttonDone.TabIndex = 24;
			this.buttonDone.Text = "Done";
			this.buttonDone.Click += new System.EventHandler(this.buttonDone_Click);
			// 
			// labelLowRange
			// 
			this.labelLowRange.Location = new System.Drawing.Point(184, 328);
			this.labelLowRange.Name = "labelLowRange";
			this.labelLowRange.Size = new System.Drawing.Size(40, 23);
			this.labelLowRange.TabIndex = 30;
			this.labelLowRange.Text = "From";
			this.labelLowRange.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// textBoxLowRange
			// 
			this.textBoxLowRange.BackColor = System.Drawing.Color.White;
			this.textBoxLowRange.Location = new System.Drawing.Point(232, 328);
			this.textBoxLowRange.Name = "textBoxLowRange";
			this.textBoxLowRange.TabIndex = 31;
			this.textBoxLowRange.Text = "";
			this.textBoxLowRange.WordWrap = false;
			this.textBoxLowRange.MouseLeave += new System.EventHandler(this.textBoxLowRange_MouseLeave);
			// 
			// labelHighRange
			// 
			this.labelHighRange.Location = new System.Drawing.Point(192, 352);
			this.labelHighRange.Name = "labelHighRange";
			this.labelHighRange.Size = new System.Drawing.Size(32, 23);
			this.labelHighRange.TabIndex = 32;
			this.labelHighRange.Text = "To";
			this.labelHighRange.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// textBoxHighRange
			// 
			this.textBoxHighRange.BackColor = System.Drawing.Color.White;
			this.textBoxHighRange.Location = new System.Drawing.Point(232, 360);
			this.textBoxHighRange.Name = "textBoxHighRange";
			this.textBoxHighRange.TabIndex = 33;
			this.textBoxHighRange.Text = "";
			this.textBoxHighRange.WordWrap = false;
			this.textBoxHighRange.MouseLeave += new System.EventHandler(this.textBoxLowRange_MouseLeave);
			// 
			// Range
			// 
			this.Range.Location = new System.Drawing.Point(168, 304);
			this.Range.Name = "Range";
			this.Range.Size = new System.Drawing.Size(192, 88);
			this.Range.TabIndex = 34;
			this.Range.TabStop = false;
			this.Range.Text = "Select Range";
			// 
			// buttonCallOC
			// 
			this.buttonCallOC.Location = new System.Drawing.Point(384, 336);
			this.buttonCallOC.Name = "buttonCallOC";
			this.buttonCallOC.Size = new System.Drawing.Size(216, 23);
			this.buttonCallOC.TabIndex = 35;
			this.buttonCallOC.Text = "Call OpenEdge using  .NET Open Client";
			this.buttonCallOC.Click += new System.EventHandler(this.buttonCallOC_Click);
			// 
			// comboBoxSelTables
			// 
			this.comboBoxSelTables.Items.AddRange(new object[] {
																   "Customer / Order",
																   "Order / OrderLine"});
			this.comboBoxSelTables.Location = new System.Drawing.Point(16, 328);
			this.comboBoxSelTables.Name = "comboBoxSelTables";
			this.comboBoxSelTables.Size = new System.Drawing.Size(128, 21);
			this.comboBoxSelTables.TabIndex = 36;
			this.comboBoxSelTables.Text = "Customer / Order";
			// 
			// groupBoxSelTables
			// 
			this.groupBoxSelTables.Location = new System.Drawing.Point(8, 304);
			this.groupBoxSelTables.Name = "groupBoxSelTables";
			this.groupBoxSelTables.Size = new System.Drawing.Size(152, 64);
			this.groupBoxSelTables.TabIndex = 35;
			this.groupBoxSelTables.TabStop = false;
			this.groupBoxSelTables.Text = "Select Tables";
			// 
			// label1
			// 
			this.label1.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(128)), ((System.Byte)(255)), ((System.Byte)(128)));
			this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Location = new System.Drawing.Point(376, 312);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(224, 16);
			this.label1.TabIndex = 39;
			this.label1.Text = " Using Dynamic Progress DataSet";
			// 
			// dataGridDyn
			// 
			this.dataGridDyn.CaptionBackColor = System.Drawing.SystemColors.ActiveCaption;
			this.dataGridDyn.DataMember = "";
			this.dataGridDyn.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridDyn.Location = new System.Drawing.Point(8, 16);
			this.dataGridDyn.Name = "dataGridDyn";
			this.dataGridDyn.Size = new System.Drawing.Size(592, 280);
			this.dataGridDyn.TabIndex = 41;
			// 
			// statusBarMain
			// 
			this.statusBarMain.Location = new System.Drawing.Point(0, 399);
			this.statusBarMain.Name = "statusBarMain";
			this.statusBarMain.Panels.AddRange(new System.Windows.Forms.StatusBarPanel[] {
																							 this.statusBarPanelCount,
																							 this.statusBarPanelConnect,
																							 this.statusBarPanelStatus});
			this.statusBarMain.ShowPanels = true;
			this.statusBarMain.Size = new System.Drawing.Size(616, 22);
			this.statusBarMain.TabIndex = 42;
			// 
			// statusBarPanelCount
			// 
			this.statusBarPanelCount.Width = 75;
			// 
			// statusBarPanelConnect
			// 
			this.statusBarPanelConnect.Alignment = System.Windows.Forms.HorizontalAlignment.Right;
			this.statusBarPanelConnect.AutoSize = System.Windows.Forms.StatusBarPanelAutoSize.Spring;
			this.statusBarPanelConnect.MinWidth = 80;
			this.statusBarPanelConnect.ToolTipText = "Connection stuff is in here";
			this.statusBarPanelConnect.Width = 501;
			// 
			// statusBarPanelStatus
			// 
			this.statusBarPanelStatus.BorderStyle = System.Windows.Forms.StatusBarPanelBorderStyle.Raised;
			this.statusBarPanelStatus.Icon = ((System.Drawing.Icon)(resources.GetObject("statusBarPanelStatus.Icon")));
			this.statusBarPanelStatus.MinWidth = 24;
			this.statusBarPanelStatus.Width = 24;
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(616, 421);
			this.Controls.Add(this.statusBarMain);
			this.Controls.Add(this.dataGridDyn);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.comboBoxSelTables);
			this.Controls.Add(this.buttonCallOC);
			this.Controls.Add(this.labelHighRange);
			this.Controls.Add(this.textBoxHighRange);
			this.Controls.Add(this.labelLowRange);
			this.Controls.Add(this.textBoxLowRange);
			this.Controls.Add(this.buttonDone);
			this.Controls.Add(this.Range);
			this.Controls.Add(this.groupBoxSelTables);
			this.Name = "MainForm";
			this.Text = "Exchange 2004 - OpenEdge .NET Open Client Example";
			this.Load += new System.EventHandler(this.MainForm_Load);
			((System.ComponentModel.ISupportInitialize)(this.dataGridDyn)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanelCount)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanelConnect)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanelStatus)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		[STAThread]
		static void Main() 
		{
			Application.Run(new MainForm());
		}

		#region Events
		private void buttonDone_Click(object sender, System.EventArgs e)
		{
			Dispose(true);		
		}

		private void buttonCallOC_Click(object sender, System.EventArgs e)
		{
			iLowRange = int.Parse(textBoxLowRange.Text);
			iHighRange = int.Parse(textBoxHighRange.Text);

			getRecords(connObj);
		}
		private void MainForm_Load(object sender, System.EventArgs e)
		{
			connObj = new Progress.Open4GL.Proxy.Connection(appServerURL, "", "", "");

			statusBarPanelConnect.Text = "";
			statusBarPanelStatus.Icon = Utility.stopngo.Wait();
			textBoxLowRange.Text = iLowRange.ToString();
			textBoxHighRange.Text = iHighRange.ToString();
			dataGridDyn.ReadOnly = true;
			getRecords(connObj);
		}

		// Make sure that upper range is always greater than or equal to the 
		//   lower range, and that lower range is greater than 1
		private void textBoxLowRange_MouseLeave(object sender, System.EventArgs e)
		{
			int iLowR = 1;
			int iHighR = 0;

			try
			{
				if (textBoxHighRange.Text != "")
					iLowR = int.Parse(textBoxLowRange.Text);
				if (iLowR < 1)
				{
					iLowR = 1;
					textBoxLowRange.Text = "1";
				}

				if (textBoxHighRange.Text != "")
					iHighR = int.Parse(textBoxHighRange.Text);

				if ( iLowR > iHighR )
				{ 
					textBoxHighRange.Text = textBoxLowRange.Text;
				}
			}
			catch (System.Exception ex)
			{
				dspMsg ="The following exception occured: \n\r" + ex.Message;
				dspCaption = "Error detected";
				dspButton = MessageBoxButtons.OK;
				resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
					MessageBoxIcon.Error,
					MessageBoxDefaultButton.Button1,
					MessageBoxOptions.RightAlign);
			}			
		}
		#endregion Events

		#region Methods-Call-OpenClient
		public void getRecords(Progress.Open4GL.Proxy.Connection connObj)
		{
			string dynSources;
			string dynKeys;
			string dynRelate;
			string relName; 

			DynAO appObj = null; 

			if (comboBoxSelTables.Text == "Customer / Order")
			{
				dynSources	 = "Customer,Order";
				dynKeys = "CustNum,OrderNum";
				dynRelate  = "CustNum,CustNum";
				dataGridDyn.CaptionText = "Customer / Order"; 
				relName = "Orders"; 
			}
			else if (comboBoxSelTables.Text == "Order / OrderLine")
			{
				dynSources	 = "Order,OrderLine";
				dynKeys = "OrderNum,LineNum";
				dynRelate  = "OrderNum,OrderNum";
				dataGridDyn.CaptionText = "Order / OrderLine"; 
				relName = "Order Lines"; 
			}
			else
				return;

			dsDynamic = new System.Data.DataSet();

			try
			{	
				try
				{
					// Connect to OpenEdge AppServer 
					appObj = new DynAO(connObj);
				}
				catch (Progress.Open4GL.Exceptions.ConnectException ex)
				{
					dspMsg = "Connection failed:" + ex.Message;
					dspCaption = "Open4GL Connect Exception";
					dspButton = MessageBoxButtons.OK;
					statusBarPanelConnect.Text = dspCaption;
					statusBarPanelStatus.Icon = Utility.stopngo.Stop();
					resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
						MessageBoxIcon.Information,
						MessageBoxDefaultButton.Button1,
						MessageBoxOptions.RightAlign);
					return; 
				}
				catch (System.Exception ex)
				{
					dspMsg = "Connection failed:" + ex.Message;
					dspCaption = "Connection Failed";
					dspButton = MessageBoxButtons.OK;
					statusBarPanelConnect.Text = dspCaption;
					statusBarPanelStatus.Icon = Utility.stopngo.Stop();
					resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
						MessageBoxIcon.Information,
						MessageBoxDefaultButton.Button1,
						MessageBoxOptions.RightAlign);
				}

				// Update the status bar to contain the connection information
				statusBarPanelConnect.Text = "Connected: " + appServerURL;
				// Load the icon from the file system
				statusBarPanelStatus.Icon = Utility.stopngo.Go();

				try
				{
					// Call AppServer to get the data 
					appObj.DynRelateDS(dynSources, dynKeys, dynRelate, 
						iLowRange, iHighRange, out dsDynamic);
				}						
				catch (Progress.Open4GL.Exceptions.Open4GLException ex)
				{
					dspMsg = ex.Message;
					dspCaption = "Open 4GL Exception";
					dspButton = MessageBoxButtons.OK;
					resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
						MessageBoxIcon.Information,
						MessageBoxDefaultButton.Button1,
						MessageBoxOptions.RightAlign);
				}
				catch (System.Exception ex)
				{
					dspMsg ="The following exception occured: \n\r" + ex.Message;
					dspCaption = "Error calling DynRelateDS";
					dspButton = MessageBoxButtons.OK;
					resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
						MessageBoxIcon.Error,
						MessageBoxDefaultButton.Button1,
						MessageBoxOptions.RightAlign);
				}

				try
				{
					// Call .NET Open Client proxy to disconnect from the AppServer 
					appObj.Dispose();	
					appObj = null; 			
					// Update the status bar to contain the connection information
					statusBarPanelConnect.Text = "";
					// Load the icon from the file system
					statusBarPanelStatus.Icon = Utility.stopngo.Wait();
				}			
				catch (Progress.Open4GL.Exceptions.Open4GLException ex)
				{
					dspMsg = ex.Message;
					dspCaption = "Open 4GL Exception";
					dspButton = MessageBoxButtons.OK;
					resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
						MessageBoxIcon.Information,
						MessageBoxDefaultButton.Button1,
						MessageBoxOptions.RightAlign);
				}
				catch (System.Exception ex)
				{
					dspMsg = "Error: Couldn't release connection." + ex;
					dspCaption = "Error on release of connection";
					dspButton = MessageBoxButtons.OK;
					resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
						MessageBoxIcon.Error,
						MessageBoxDefaultButton.Button1,
						MessageBoxOptions.RightAlign);
				}

				dsDynamic.Relations[0].RelationName = relName; 
				dataGridDyn.SetDataBinding(dsDynamic, dsDynamic.Tables[0].TableName);

				// Check to see if any rows were found...
				if (dsDynamic.Tables[0].Rows.Count == 0) 
				{
					dspMsg ="No rows match the selected range.";
					dspCaption = "No data found matching selection";
					dspButton = MessageBoxButtons.OK;
					resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
						MessageBoxIcon.Information,
						MessageBoxDefaultButton.Button1,
						MessageBoxOptions.RightAlign);
				}

			}
			catch (System.Exception ex)
			{
				dspMsg ="The following exception occured: \n\r" + ex.Message;
				dspCaption = "Error in method getRecords";
				dspButton = MessageBoxButtons.OK;
				resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
					MessageBoxIcon.Information,
					MessageBoxDefaultButton.Button1,
					MessageBoxOptions.RightAlign);
			}	
			finally
			{	
				if (appObj != null)
				{
					// There may have been an error after connect ...
					try
					{
						// Call .NET Open Client proxy to disconnect from the AppServer 
						appObj.Dispose();
						appObj = null; 
						statusBarPanelConnect.Text = "";
						statusBarPanelStatus.Icon = Utility.stopngo.Wait();
					}			
					catch (Progress.Open4GL.Exceptions.Open4GLException ex)
					{
						dspMsg = ex.Message;
						dspCaption = "Open 4GL Exception";
						dspButton = MessageBoxButtons.OK;
						resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
							MessageBoxIcon.Information,
							MessageBoxDefaultButton.Button1,
							MessageBoxOptions.RightAlign);
					}
					catch (System.Exception ex)
					{
						dspMsg = "Error: Couldn't release connection." + ex;
						dspCaption = "Error on release of connection";
						dspButton = MessageBoxButtons.OK;
						resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
							MessageBoxIcon.Error,
							MessageBoxDefaultButton.Button1,
							MessageBoxOptions.RightAlign);
					}
				}
			}
		}
		#endregion Methods-Call-OpenClient
	}
}
