using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using nsPersistExchg;

// EstablishConnection.cs
// Writen for OpenEdge 10 FCS training
// Last Updated: DL 4/13/2004 a
namespace OpenClientPersist
{
	public class EstablishConnection : System.Windows.Forms.Form
	{	
		#region Variables 			 
		#region Variables-OpenClient 		
		// Name of the AppObject - Name is specified in ProxyGen in the AppObject tab
		internal PersistAO appObj = null;
		internal Progress.Open4GL.Proxy.Connection connObj;
		#endregion Variables-OpenClient 

		#region Variables-Messages 	
		internal string dspMsg;
		internal string dspCaption;
		internal MessageBoxButtons dspButton;
		internal DialogResult resultDlog;
		#endregion Variables-Messages 	

		#region Variables UI
		internal System.Windows.Forms.Label label4;
		internal System.Windows.Forms.Label label3;
		internal System.Windows.Forms.Label label2;
		internal System.Windows.Forms.Button buttonConnect;
		internal System.Windows.Forms.GroupBox groupBox1;
		internal System.Windows.Forms.Button buttonDone;
		internal System.Windows.Forms.TextBox textBoxPort;
		internal System.Windows.Forms.TextBox textBoxAppService;
		internal System.Windows.Forms.TextBox textBoxHost;	
		internal System.ComponentModel.Container components = null;
		#endregion Variables UI
		#endregion Variables

		public EstablishConnection(PersistAO appObj)
		{
			InitializeComponent();
			this.appObj = appObj;
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		private void InitializeComponent()
		{
			this.textBoxPort = new System.Windows.Forms.TextBox();
			this.label4 = new System.Windows.Forms.Label();
			this.textBoxAppService = new System.Windows.Forms.TextBox();
			this.label3 = new System.Windows.Forms.Label();
			this.textBoxHost = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.buttonConnect = new System.Windows.Forms.Button();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.buttonDone = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// textBoxPort
			// 
			this.textBoxPort.Location = new System.Drawing.Point(112, 56);
			this.textBoxPort.Name = "textBoxPort";
			this.textBoxPort.TabIndex = 14;
			this.textBoxPort.Text = "5162";
			// 
			// label4
			// 
			this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label4.Location = new System.Drawing.Point(24, 56);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(29, 16);
			this.label4.TabIndex = 13;
			this.label4.Text = "Port:";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// textBoxAppService
			// 
			this.textBoxAppService.Location = new System.Drawing.Point(112, 80);
			this.textBoxAppService.Name = "textBoxAppService";
			this.textBoxAppService.TabIndex = 12;
			this.textBoxAppService.Text = "C1930broker";
			// 
			// label3
			// 
			this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label3.Location = new System.Drawing.Point(24, 80);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(88, 16);
			this.label3.TabIndex = 11;
			this.label3.Text = "AppService:";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// textBoxHost
			// 
			this.textBoxHost.Location = new System.Drawing.Point(112, 32);
			this.textBoxHost.Name = "textBoxHost";
			this.textBoxHost.TabIndex = 10;
			this.textBoxHost.Text = "localhost";
			// 
			// label2
			// 
			this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label2.Location = new System.Drawing.Point(24, 32);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(40, 16);
			this.label2.TabIndex = 9;
			this.label2.Text = "Host:";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// buttonConnect
			// 
			this.buttonConnect.Location = new System.Drawing.Point(240, 16);
			this.buttonConnect.Name = "buttonConnect";
			this.buttonConnect.TabIndex = 18;
			this.buttonConnect.Text = "Connect";
			this.buttonConnect.Click += new System.EventHandler(this.buttonConnect_Click);
			// 
			// groupBox1
			// 
			this.groupBox1.Location = new System.Drawing.Point(8, 8);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(216, 104);
			this.groupBox1.TabIndex = 19;
			this.groupBox1.TabStop = false;
			// 
			// buttonDone
			// 
			this.buttonDone.Location = new System.Drawing.Point(240, 48);
			this.buttonDone.Name = "buttonDone";
			this.buttonDone.TabIndex = 20;
			this.buttonDone.Text = "Done";
			this.buttonDone.Click += new System.EventHandler(this.buttonDone_Click);
			// 
			// EstablishConnection
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(344, 133);
			this.ControlBox = false;
			this.Controls.Add(this.buttonDone);
			this.Controls.Add(this.buttonConnect);
			this.Controls.Add(this.textBoxPort);
			this.Controls.Add(this.textBoxAppService);
			this.Controls.Add(this.textBoxHost);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.groupBox1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "EstablishConnection";
			this.Text = "Connect to OpenEdge AppServer";
			this.ResumeLayout(false);

		}
		#endregion
		
		#region Events
		private void buttonDone_Click(object sender, System.EventArgs e)
		{	
			Dispose(true);
		}

		private void buttonConnect_Click(object sender, System.EventArgs e)
		{
			string connStr = "";

			if (this.textBoxHost.Text.Length > 0)
			{
				connStr += "AppServer://" + this.textBoxHost.Text;
				if (this.textBoxPort.Text.Length > 0)
					connStr += ":" + this.textBoxPort.Text;

				if (this.textBoxAppService.Text.Length > 0)
					connStr += "/" + this.textBoxAppService.Text;
			}

			connObj = new Progress.Open4GL.Proxy.Connection(connStr, "", "", "");

			try
			{	
				// Connect to OpenEdge AppServer 
				appObj = new PersistAO(connObj);
				Dispose(true);
			}				
			catch (Progress.Open4GL.Exceptions.ConnectException ex)
			{
				dspMsg = "Connection failed:" + ex.Message;
				dspCaption = "Open4GL Connect Exception";
				dspButton = MessageBoxButtons.OK;
				resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
					MessageBoxIcon.Information,
					MessageBoxDefaultButton.Button1,
					MessageBoxOptions.RightAlign);
				return; 
			}
			catch (System.Exception ex)
			{
				dspMsg = "Connection failed:" + ex.Message;
				dspCaption = "Connection Failed";
				dspButton = MessageBoxButtons.OK;
				resultDlog = MessageBox.Show(this, dspMsg, dspCaption, dspButton,
					MessageBoxIcon.Information,
					MessageBoxDefaultButton.Button1,
					MessageBoxOptions.RightAlign);
			}
		}
		#endregion Events

		#region Methods
		public PersistAO getAppObj(out Progress.Open4GL.Proxy.Connection connObj)
		{
			connObj = this.connObj; 
			return(this.appObj); 
		}
		#endregion Methods

	}
}
